compact2, compact3
javax.xml.stream

## Class FactoryConfigurationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - javax.xml.stream.FactoryConfigurationError

- All Implemented Interfaces:
    Serializable

      public class FactoryConfigurationError
      extends Error

  An error class for reporting factory configuration errors.
  Since:
    1.6
  Version:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FactoryConfigurationError()` | Default constructor
    `FactoryConfigurationError(Exception e)` | Construct an exception with a nested inner exception
    `FactoryConfigurationError(Exception e, String msg)` | Construct an exception with a nested inner exception and a message
    `FactoryConfigurationError(String msg)` | Construct an exception with associated message
    `FactoryConfigurationError(String msg, Exception e)` | Construct an exception with a nested inner exception and a message

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `getCause()` | use the exception chaining mechanism of JDK1.4
    `Exception` | `getException()` | Return the nested exception (if any)
    `String` | `getMessage()` | Report the message associated with this error

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryConfigurationError

          public FactoryConfigurationError()

      Default constructor

    - #### FactoryConfigurationError

          public FactoryConfigurationError(Exception e)

      Construct an exception with a nested inner exception
      Parameters:
        `e` - the exception to nest

    - #### FactoryConfigurationError

          public FactoryConfigurationError(Exception e,
                                           String msg)

      Construct an exception with a nested inner exception and a message
      Parameters:
        `e` - the exception to nest
        `msg` - the message to report

    - #### FactoryConfigurationError

          public FactoryConfigurationError(String msg,
                                           Exception e)

      Construct an exception with a nested inner exception and a message
      Parameters:
        `msg` - the message to report
        `e` - the exception to nest

    - #### FactoryConfigurationError

          public FactoryConfigurationError(String msg)

      Construct an exception with associated message
      Parameters:
        `msg` - the message to report

  - ### Method Detail

    - #### getException

          public Exception getException()

      Return the nested exception (if any)
      Returns:
        the nested exception or null

    - #### getCause

          public Throwable getCause()

      use the exception chaining mechanism of JDK1.4
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the cause of this throwable or `null` if the cause is nonexistent or unknown.

    - #### getMessage

          public String getMessage()

      Report the message associated with this error
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the string value of the message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.